<template>
  <div
    class="breadcrumbs"
    v-if="
      !breadcrumbs.includes({ text: 'Login', path: '/login' }) &&
      !breadcrumbs.includes('Register')
    "
  >
    <router-link
      v-for="(crumb, index) in breadcrumbs"
      :key="index"
      :to="crumb.path"
      class="breadcrumb"
    >
      {{ crumb.text }}
    </router-link>
  </div>
</template>

<script>
export default {
  computed: {
    breadcrumbs() {
      const breadcrumbs = this.$route.matched.reduce((acc, matchedRoute) => {
        if (matchedRoute.meta && matchedRoute.meta.breadcrumb) {
          const breadcrumbLabel =
            typeof matchedRoute.meta.breadcrumb === 'function'
              ? matchedRoute.meta.breadcrumb(matchedRoute)
              : matchedRoute.meta.breadcrumb;
          console.log({
            text: breadcrumbLabel,
            path: matchedRoute.path,
          });
          acc.push({
            text: breadcrumbLabel,
            path: matchedRoute.path,
          });
        }

        return acc;
      }, []);

      if (breadcrumbs.length === 0 || breadcrumbs[0].text !== 'Home') {
        breadcrumbs.unshift({ text: 'Home', path: '/' });
      }

      return breadcrumbs;
    },
  },
};
</script>
<style scoped>
.breadcrumbs {
  display: flex;
  align-items: center;
  list-style: none;
  padding: 0;
  margin: 0;
  background-color: #f5f5f5;
  border-radius: 5px;
  padding: 10px 15px;
}

.breadcrumb {
  display: flex;
  align-items: center;
  color: #0275d8;
  text-decoration: none;
}

.breadcrumb:hover {
  text-decoration: underline;
}

.breadcrumb + .breadcrumb::before {
  content: '>';
  margin: 0 8px;
  color: #6c757d;
}

/* Adjust the color for the last breadcrumb */
.breadcrumb:last-child {
  color: #6c757d;
  cursor: default;
}

.breadcrumb:last-child:hover {
  text-decoration: none;
}
</style>
